/*
 * $Id: Parameter_affectation_print.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Configuration/include/Parameter_affectation.h"

namespace morpheo {
namespace behavioural {
namespace configuration {

#undef  FUNCTION
#define FUNCTION "Parameter_affectation::print"
  std::string Parameter_affectation::print (uint32_t depth)
  {
    log_begin(Configuration,FUNCTION);

    std::string _return = (toXML()).get_body(depth);

    log_end(Configuration,FUNCTION);
    return _return;
  };
  
#undef  FUNCTION
#define FUNCTION "Parameter_affectation::operator<<"
  std::ostream& operator<< (std::ostream& output,
			    morpheo::behavioural::configuration::Parameter_affectation & x)
  {
    log_begin(Configuration,FUNCTION);
    output << x.print(0);
    log_end(Configuration,FUNCTION);
    return output;
  };

}; // end namespace configuration
}; // end namespace behavioural
}; // end namespace morpheo              
